<template>
  <div shadow="never">
    <div class="mod-sync-sysDataExportRecord}">
      <zt-table-wraper ref="tableObj" v-slot="{ table }" query-url="/sys/data/export/record/page">
            <el-form :inline="true" :model="dataForm" @keyup.enter.native="table.query()">
              <el-form-item >
                <el-button class="form-title" type="text">导出记录</el-button>
              </el-form-item>
            </el-form>
            <el-table v-adaptive="{bottomOffset:70}"
                      v-loading="table.dataLoading"
                      :data="table.dataList"
                      border height="100px" @selection-change="table.selectionChangeHandle">
              <el-table-column align="center" label="序号" type="index" width="60"/>
              <el-table-column align="center" label="操作时间" prop="createDate"/>
              <el-table-column align="center" label="导出目标" prop="targetName"/>
              <el-table-column align="center" label="数据起始时间" prop="gmtStart"/>
              <el-table-column align="center" label="数据结束时间" prop="gmtEnd"/>
            </el-table>
      </zt-table-wraper>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      dataForm: {
        // order: 'desc',
        // orderField: 'createDate'
      }
    }
  },
  components: {}
}
</script>
